<?php
$idioma = "es";
if (isset($_COOKIE["idioma"])) {
    $idioma = isset($_COOKIE["idioma"]) ? $_COOKIE["idioma"] : "es";
}
?>
<style>

	

</style>


<div id="mainTwo">

	<div class="" style="margin-top: 0px;">
		<section id="">
			<div class="container">

				<div class="row">
					<div class="col s12" style="margin-top: 70px">
						<div class="col s12 black-text card-panel white  hoverable" style="padding-top: 0px;">
							<div class="col s12 superLeft">
								<h5>{{traducirFrase("Registros")}}</h5>
							</div>
							<div class="col s4">
								<label for="pickDate">{{traducirFrase("Fecha")}}</label>
								<input type="text" autocomplete="off" start-date="new Date()" class=" datepicker-here" data-range="true"
										data-multiple-dates-separator=" - " data-date-format="yyyy-mm-dd"
										data-language="<?=$idioma;?>"
										class="datepicker-here" id="pickDate"/>
							</div>
							<div class="input-field col s2 superCenter">
								<select id="categoria" class="browser-default" onchange="cargaCual();">
									<option value='CAMPAIGNS'>{{traducirFrase("Campañas")}}</option>
									<option value='USERS'>{{traducirFrase("Usuarios")}}</option>
									<option value='LIST'>{{traducirFrase("Listas")}}</option>
									<option value='-1' selected='selected'>{{traducirFrase("General")}}</option>
								</select>
								<label class="active">{{traducirFrase("Ajustes")}}</label>
							</div>
							<div class="input-field col s2 superCenter">
								<select id="cual" class="browser-default">
								</select>
							</div>
							<div class="input-field col s2 superCenter">
								<select id="campanas" class="browser-default" style="display:none;" onchange="cargaListas()">
								</select>
							</div>


							<div class="col s2 superCenter">
								<button class="btn btn-success btnW" v-bind:title="traducirFrase('Generar reporte')" onClick="cargaPeticion()"><i class="material-icons">done</i></button>&nbsp;&nbsp;
								<a href="" id="descargar" v-bind:title="traducirFrase('Descargar reporte')" class="btn btn-success btnW"><span><i class="material-icons">get_app</i></span></a>
							</div>
							<br><br>
						</div>

					</div>
					<div class="col s12">
						<div class="col s12">
							<div class="card-panel white z-depth-5 hoverable">
								<div class='row'>
									<div class="col s12">
										<h4>
										{{traducirFrase("Registros de cambios")}}
										</h4>
									</div>

								</div>
								<div class='row '>
									<div class='col s12'>
										<table class='centered responsive-table bordA'>
											<thead>
												<tr>
													<th class="">{{traducirFrase("ID")}}</th>
													<th class="">{{traducirFrase("Fecha")}}/{{traducirFrase("Hora")}}</th>
													<th class="">{{traducirFrase("Usuario")}}</th>
													<th class="">{{traducirFrase("IP")}}</th>
													<th class="">{{traducirFrase("Sección")}}</th>
													<th class="">{{traducirFrase("Tipo")}}</th>
													<th class="">{{traducirFrase("ID de Registro")}}</th>
													<th class="">{{traducirFrase("Grupo")}}</th>
													<th class="">{{traducirFrase("Descripción")}}</th>
												</tr>
											</thead>
											<tbody id='tbodyCual'>
												<tr>
													<td colspan='10'><img src="<?=IMG_ADMIN;?>spinner.gif"></td>
												</tr>
											</tbody>
										</table>
										<ul class="pagination center" id='paginacion'>

										</ul>
									</div>

								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
	</div>
</div>

<!-- END MAIN -->
<!-- //////////////////////////////////////////////////////////////////////////// -->
<!-- START FOOTER -->
<?php require_once UTILS_PATH . 'footer.php';?>
<!-- END FOOTER -->
<!-- ================================================
    Scripts
    ================================================ -->
<!-- jQuery Library -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jquery-3.2.1.min.js"></script>
<!--materialize js-->
<script type="text/javascript" src="<?=JS_ADMIN;?>materialize.min.js"></script>
<!--scrollbar-->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>perfect-scrollbar/perfect-scrollbar.min.js"></script>
<!-- chartjs -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>chartjs/chart.min.js"></script>
<!-- sparkline -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>sparkline/jquery.sparkline.min.js"></script>
<!-- google map api -->
<!--plugins.js - Some Specific JS codes for Plugin Settings-->
<script type="text/javascript" src="<?=JS_ADMIN;?>plugins.js"></script>
<!--card-advanced.js - Page specific JS-->
<script type="text/javascript" src="<?=JS_ADMIN;?>scripts/dashboard-analytics.js"></script>
<!--custom-script.js - Add your own theme custom JS
    <script type="text/javascript" src="<?=JS_ADMIN;?>custom-script.js"></script>-->
<script src="<?=JS_ADMIN;?>vue.js"></script>
<script src="<?=JS_ADMIN;?>Chart.min.js"></script>
<script src="<?=JS_ADMIN;?>gauge.min.js"></script>
<script src="<?=JS_ADMIN;?>raphael.js"></script>
<script src="<?=JS_ADMIN;?>justgage.js"></script>
<script src="<?=JS_ADMIN;?>datepicker.js"></script>
<script src="<?=JS_ADMIN;?>i18n/datepicker.es.js"></script>
<script src="<?=JS_ADMIN;?>i18n/datepicker.en.js"></script>
<script>
	var a = document.getElementById('idioma');
              if(a.value == "es"){
                <?php if (defined("BANDERA_ES")) {?>
					document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-<?php echo BANDERA_ES; ?>"></span>&nbsp;';
				<?php } else {?>
					document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-mx"></span>&nbsp;';
				<?php }?>

              }else{

                document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-um"></span>&nbsp;';

              }

	var Inicial=true;
	function dIni(date){
		return date.slice(0,10);
	}
	function dEnd(date){

		var fecF = date.slice(13,23);

		if(fecF == ""){

			fecF = date.slice(0,10);

		}

		return fecF;
	}
	$(document).ready(function () {
        var today = new Date();
		var dd = today.getDate();
		var mm = today.getMonth() + 1; //January is 0!
		var yyyy = today.getFullYear();
		if (dd < 10) {
		dd = '0' + dd;
		}
		if (mm < 10) {
		mm = '0' + mm;
		}
		var today = yyyy+ '-' + mm + '-' + dd;
		$('#pickDate').val(today+" - "+today);
        cargaCual();
		cargaPeticion();
	});
	var flagPeticion = false;
	var flagCual = false;
	var flagListas = false;
	var pagina = 1;
	var bla;

	function cambiarAOscuro() {

		for (let i = 0; i < bla.length; i++) {
			bla[i].classList.remove('white');
			bla[i].classList.add('grey');
			bla[i].classList.add('lighten-1');bla[i].style.filter = 'invert(100%)';
		}
		$('.datepicker').datepicker();
	}
	if (localStorage.getItem('background') == "black") {
		bla = document.getElementsByClassName('card-panel')
		bla = Array.prototype.slice.call(bla);
		cambiarAOscuro();
		$('.datepicker').datepicker();
	}

	function cambiaPagina(pag) {
		pagina = pag;
		cargaPeticion();
	}

	function cargaPeticion() {
		M.toast({
			html: i18n.gettext("Cargando datos, por favor espere")+"."
		});
		$("#tbodyCual").html("<tr><td colspan='9'><img src='<?=IMG_ADMIN;?>spinner.gif' ></td></tr>");
		if (!flagPeticion) {

			flagPeticion = true;
			var parametros = {                };
			parametros.categoria = $("#categoria").val();
			parametros.cual = $("#cual").val();
			parametros.pagina = pagina;
            parametros.fechaInicial = dIni($("#pickDate").val());
            parametros.fechaFinal = dEnd($("#pickDate").val());
			$.ajax({
				url: '/<?=RUTA_MAESTRA;?>/index.php/reporteCambiosAdmin/systemLog',
				data: parametros,
				dataType: "text",
				type: 'GET',
				success: function (res) {
					var resp = JSON.parse(res);
					if (resp.Estado == 'ok') {

						const fechaReporte = $("#pickDate").val().split(" - ")

						$("#descargar").attr("href", "/<?=RUTA_MAESTRA;?>/index.php/reporteCambiosAdmin/systemLog?categoria=" + $(
							"#categoria").val() + "&cual=" + $("#cual").val() + "&csv=" + true+"&fechaInicial="+fechaReporte[0]+"&fechaFinal="+fechaReporte[1]);
						$("#tbodyCual").html("");
						for (var i = 0; i < resp.Log.length; i++) {

							var clasesita = "";

							if(resp.Log[i].event_type == "RESET"){

								clasesita = "btnW6";

							}else if(resp.Log[i].event_type == "DELETE"){

								clasesita = "btnW1";

							}else if(resp.Log[i].event_type == "ADD"){

								clasesita = "btnW3";

							}else if(resp.Log[i].event_type == "MODIFY"){

								clasesita = "btnW10";

							}

							$("#tbodyCual").append("<tr class='"+clasesita+"'>" +
								"<td>" + resp.Log[i].admin_log_id + "</td>" +
								"<td>" + resp.Log[i].event_date + "</td>" +
								"<td>" + resp.Log[i].user + "</td>" +
								"<td>" + resp.Log[i].ip_address + "</td>" +
								"<td>" + resp.Log[i].event_section + "</td>" +
								"<td>" + resp.Log[i].event_type + "</td>" +
								"<td>" + resp.Log[i].record_id + "</td>" +
								"<td>" + resp.Log[i].user_group + "</td>" +
								"<td>" + resp.Log[i].event_code + "</td>" +
								"</tr>");
						}

						$("#paginacion").html("");
						if (resp.Cuenta != 0) {
							var Anterior = resp.Cuenta;
                            resp.Cuenta = parseInt(resp.Cuenta);
                            if(resp.Cuenta%10!=0)resp.Cuenta +=(10-resp.Cuenta%10);
                            resp.Cuenta /= 10;
                            /*resp.Cuenta /= 10;
							resp.Cuenta = Math.floor(resp.Cuenta);
							if (Anterior % 10 != 0) {
								resp.Cuenta++;
							}*/
							if (pagina == 1) {
								$("#paginacion").append(
									"<li class='disabled'><a href='#!'><i class='material-icons'>chevron_left</i></a></li>");
							} else {
								$("#paginacion").append(
									"<li class='waves-effect'><a href='javascript:cambiaPagina(1)'><i class='material-icons'>arrow_back</i></a></li>"
								);
								$("#paginacion").append("<li class='waves-effect'><a href='javascript:cambiaPagina(" + (pagina - 1) +
									")'><i class='material-icons'>chevron_left</i></a></li>");
							}
							var desde = Math.max(0, pagina - 7);
							var hasta = Math.min(resp.Cuenta, pagina + 7);

							for (var i = desde; i < hasta; i++) {
								if (pagina == (i + 1)) {
									$("#paginacion").append("<li class='active blue lighten-2 '><a href='javascript:cambiaPagina(" + (i + 1) +
										")'>" + (i + 1) + "</a></li>");
								} else {
									$("#paginacion").append("<li class='waves-effect'><a href='javascript:cambiaPagina(" + (i + 1) + ")'>" + (i +
										1) + "</a></li>");
								}
							}
							if (pagina == resp.Cuenta || resp.Cuenta==0) {
								$("#paginacion").append(
									"<li class='disabled'><a href='#!'><i class='material-icons'>chevron_right</i></a></li>");
							} else {
								$("#paginacion").append("<li class='waves-effect'><a href='javascript:cambiaPagina(" + (pagina + 1) +
									")'><i class='material-icons'>chevron_right</i></a></li>");
								$("#paginacion").append("<li class='waves-effect'><a href='javascript:cambiaPagina(" + (resp.Cuenta) +
									")'><i class='material-icons'>arrow_forward</i></a></li>");
							}
						}

						var bla;

						function cambiarAOscuro() {

							for (let i = 0; i < bla.length; i++) {
								bla[i].classList.remove('white');
								bla[i].classList.add('grey');
								bla[i].classList.add('lighten-1');bla[i].style.filter = 'invert(100%)';
							}
							$('.datepicker').datepicker();
						}
						if (localStorage.getItem('background') == "black") {
							bla = document.getElementsByClassName('card-panel')
							bla = Array.prototype.slice.call(bla);
							cambiarAOscuro();
						}


						flagPeticion = false;
					} else {
						M.toast({
							html: resp.Descripcion
						});
					}
				},
				error: function (error) {
					console.log(error);
				}
			});

		}
	}

	function cargaListas() {
		if (!flagListas) {
			flagListas = true;
			var parametros = {};
			parametros.campana = $("#campanas").val();
			$.ajax({
				url: '/<?=RUTA_MAESTRA;?>/index.php/listas/getListsSelect',
				dataType: "text",
				type: 'POST',
				data: parametros,
				success: function (res) {
					var resp = JSON.parse(res);
					if (resp.Estado == 'ok') {
						console.log(resp);
						$("#cual").html("");
						$("#cual").append("<option value='-1'>Todos los registros</option>");
						for (var i = 0; i < resp.Listas.length; i++) {
							$("#cual").append("<option value='" + resp.Listas[i].list_id + "' ><span>" + resp.Listas[i].list_name +
								"</span></option>");
						}
						flagListas = false;
					} else {
						M.toast({
							html: res.Descripcion
						});
					}
				},
				error: function (error) {
					console.log(error);
				}
			});
		}
	}

	function cargaCual() {
		if (!flagCual) {
			$("tbodyCual").html("<tr><td colspan='10'><img src='<?=IMG_ADMIN;?>spinner.gif' ></td></tr>");
			flagCual = true;
			var categoria = $("#categoria").val();
			switch (categoria) {
				case "CAMPAIGNS":
					$("#campanas").hide();
					$("#cual").show();
					$.ajax({
						url: '/<?=RUTA_MAESTRA;?>/index.php/campanas/getCampaignsSelect',
						dataType: "text",
						type: 'GET',
						success: function (res) {
							var resp = JSON.parse(res);
							if (resp.Estado == 'ok') {
								$("#cual").html("");
								$("#cual").append("<option value='-1'>Todos los registros</option>");
								for (var i = 0; i < resp.Campanas.length; i++) {
									$("#cual").append("<option value='" + resp.Campanas[i].campaign_id + "' ><span>" + resp.Campanas[i].campaign_name +
										"</span></option>");
								}
								flagCual = false;
								pagina = 1;
							} else {
								M.toast({
									html: res.Descripcion
								});
							}
						},
						error: function (error) {
							console.log(error);
						}
					});
					break;
				case "USERS":
					$("#campanas").hide();
					$("#cual").show();
					$.ajax({
						url: "/<?=RUTA_MAESTRA;?>/index.php/usuarios/getUserSelect",
						type: "GET",
						dataType: "text",
						success: function (result) {
							var res = JSON.parse(result);
							if (res.Estado == 'ok') {
								$("#cual").html("");
								$("#cual").append("<option value='-1'>Todos los registros</option>");
								for (var i = 0; i < res.usuarios.length; i++) {
									$("#cual").append("<option value='" + res.usuarios[i].user + "'>" + res.usuarios[i].user + "--" + res.usuarios[
										i].full_name + "</option>");
								}
								flagCual = false;
								pagina = 1;
							} else {
								M.toast({
									html: res.Descripcion
								});
							}
						},
						error: function (error) {
							console.log(error);
						}
					});
					break;
				case "LIST":
					$("#cual").show();
					$.ajax({
						url: '/<?=RUTA_MAESTRA;?>/index.php/campanas/getCampaignsSelect',
						dataType: "text",
						type: 'GET',
						success: function (res) {
							$("#campanas").show();
							var resp = JSON.parse(res);
							if (resp.Estado == 'ok') {
								$("#campanas").html("");
								for (var i = 0; i < resp.Campanas.length; i++) {
									$("#campanas").append("<option value='" + resp.Campanas[i].campaign_id + "' ><span>" + resp.Campanas[i].campaign_name +
										"</span></option>");
								}
								flagCual = false;
								pagina = 1;
								cargaListas();
							} else {
								M.toast({
									html: res.Descripcion
								});
							}

						},
						error: function (error) {
							console.log(error);
						}
					});
					break;
				case "-1":
					$("#campanas").hide();
					$("#cual").hide();
					$("#cual").html("<option selected='selected' value='-1'>Todo</option> ");
					flagCual = false;
					pagina = 1;
					break;
			}

		}
	}

const app = new Vue({
		el: '#main',
	});
</script>

</body>

<!-- Mirrored from pixinvent.com/materialize-material-design-admin-template/html/horizontal-menu/ by HTTrack Website Copier/3.x [XR&CO'2014], Tue, 07 Aug 2018 16:55:15 GMT -->

</html>